Package org.springframework.test.web.reactive.server

# Interface WebTestClientConfigurer

public interface WebTestClientConfigurer
Contract to encapsulate customizations to a `WebTestClient.Builder`. Typically used by frameworks that wish to provide a shortcut for common initialization.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  - `MockServerConfigurer`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterConfigurerAdded(WebTestClient.Builder builder, org.springframework.web.server.adapter.WebHttpHandlerBuilder httpHandlerBuilder, org.springframework.http.client.reactive.ClientHttpConnector connector)`
Use methods on `WebTestClient.Builder` to modify test client settings.

## Method Details

### afterConfigurerAdded

void afterConfigurerAdded(WebTestClient.Builder builder, @Nullable org.springframework.web.server.adapter.WebHttpHandlerBuilder httpHandlerBuilder, @Nullable org.springframework.http.client.reactive.ClientHttpConnector connector)
Use methods on `WebTestClient.Builder` to modify test client settings. For a mock WebFlux server, use `WebHttpHandlerBuilder` to customize server configuration. For a MockMvc server, mutate the `MockMvcHttpConnector` and set it on `WebTestClient.Builder`.

Parameters:
  `builder` - the WebTestClient builder for test client changes
  `httpHandlerBuilder` - for mock WebFlux server settings
  `connector` - the connector in use